# Example imaging script for a data set with some ACA antennas but
# also up to 1.6 km baselines

os.system('rm -rf SgrB2_X86f_211_spw2.clean*')
tclean(vis=['X86f_Sgr_B2N.ms_FluxEqual_211','Xc6_Sgr_B2N.ms_FluxEqual_211'],
	imagename='SgrB2_X86f_211_spw2.clean', # *see below
        spw='2',                          # Test on a few chans in one spw
	field='3',                      # SgrB2 - may be 3 or other number
	specmode='cube',    
        outframe='lsrk',        
	start=920,                       
        nchan=100,
	gridder='mosaic',               # Recommended for mixed antenna sizes
	imsize=800,
        pblimit=0.05,
        threshold='50mJy/beam',
        cell='0.04arcsec',
        weighting='briggs',             
        robust=1.5,                     # Suppresses sidelobes
	uvtaper='0.3arcsec',            # Mitigates effect of sparse long baselines
	niter=2000000,                     # NB this is nchan x (niter per chan)
        interactive=T)

# * If you have several EBs at the same tuning, you can give a list as
# * ['uid...','uid...']

# Make primary-beam corrected FITS images (unidentified):

imlist=['SgrB2_X86f_211_spw2.clean']
for i in imlist:
    impbcor(imagename=i+'.image',
            pbimage=i+'.pb',
            outfile=i+'.pbcorr')
    exportfits(imagename=i+'.pbcorr',
               fitsimage=i+'.pbcorr.fits')
    exportfits(imagename=i+'.pb',
               fitsimage=i+'.pb.fits')
